2022-09-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.20.6

2022-09-17  Brendan Long  <self@brendanlong.com>

	Keep the original exception in Future.map/flat_map
	If a chain of maps fails, the final `exception` should be the actual
	exception, not a semi-useless `FutureError.EXCEPTION`.

	Fixes https://gitlab.gnome.org/GNOME/libgee/issues/23

2022-09-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	 doap: Demote idle maintainers to authors

2022-08-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add more missing generic type arguments

2022-04-04  Reuben Thomas  <rrt@sc3d.org>

	Various English and typo fixes in the documentation

2022-02-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.20.5

2022-01-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add more missing generic type arguments

2021-11-30  Fabrice Fontaine  <fontaine.fabrice@gmail.com>

	gee/Makefile.am: include Makefile.introspection
	Include Makefile.introspection instead of using a custom rule which will
	result in the following build failure when cross-compiling on buildroot
	because of missing --includedir:

	/home/giuliobenetti/autobuild/run/instance-1/output-1/host/bin/../riscv32-buildroot-linux-gnu/sysroot/usr/bin/g-ir-compiler -l `/usr/bin/sed -nE "s/^dlname='([A-Za-z0-9.+-]+)'/\1/p" libgee-0.8.la` -o Gee-0.8.typelib Gee-0.8.gir libgee-0.8.la
	Could not find GIR file 'GObject-2.0.gir'; check XDG_DATA_DIRS or use --includedir
	error parsing file Gee-0.8.gir: Failed to parse included gir GObject-2.0

	Fixes:
	 - http://autobuild.buildroot.org/results/884faa0f84c8dc43ed1ca6cde9caf21c731a4b35

2021-10-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add more missing generic type arguments

2021-03-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.20.4

2021-03-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	Remove invalid usage of type-argument for Gee.Future.SourceFuncArrayElement

2021-02-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Replace Memory.dup() with GLib.malloc() and Memory.copy()

2020-10-23  Reuben Thomas  <rrt@sc3d.org>

	Various English and typo fixes in the documentation

2020-02-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.20.3

2019-11-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	Flatten call structure a bit

2019-10-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Guard GLib.Cond.wait/wait_until calls against spurious or stolen wakeups
	It is possible that a spurious or stolen wakeup could occur. For that
	reason, waiting on a condition variable should always be in a loop,
	based on an explicitly-checked predicate.

	Fixes https://gitlab.gnome.org/GNOME/libgee/issues/34

2019-09-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	Fix "Access to possible `null'" warnings and use unsafe casts

2019-08-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.20.2

2019-04-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add more m4 scripts to .gitignore

	Add myself to libgee.doap

	Update bugtracker and homepage links

2019-03-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	Constructors of abstract classes should not be public

2018-12-16  Andre Klapper  <a9016009@gmx.de>

	Replace 404 <download-page> in DOAP file with working one

	Add <description> to pass git pre-receive hook

	Replace Bugzilla by Gitlab URL in DOAP file

2018-02-11  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.20.1

	Revert "Add additional query functions to Traversable<G>"
	This reverts commit da95e830524ffa309eb57925320666e5085b9d66.

2017-12-11  Edward Hennessy  <ehennes@sbcglobal.net>

	Add additional query functions to Traversable<G>
	* one_match (Predicate<G>) check if exactly one element matches
	* count_match (Predicate<G>) returns the count of items that matches

	https://bugzilla.gnome.org/show_bug.cgi?id=781641

2017-12-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	Fix links in Traverable.tee() doc

2017-09-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	Fix some delegate copying warnings

2017-03-21  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.20.0

2017-02-23  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.19.91

	Change @since to reflect the correct version

2017-01-17  Rodrigo Moya  <rodrigo@gnome.org>

	Add some more query operations for Traversable<G>
	* first_match (Predicate<G>) returns the first item that matches
	* any_match (Predicate<G>) checks if any element matches
	* all_match (Predicate<G>) checks if all elements match
	* max/min returns max/min value
	* order_by to perform ordering on any Traversable

	https://bugzilla.gnome.org/show_bug.cgi?id=776558

2016-12-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	Drop obsolete VALA_0_16 conditionals

2016-11-23  Colomban Wendling  <ban@herbesfolles.org>

	Fix converting enumerations and flags to arrays
	Enumerations and flags are classed types for Vala, not integers, so
	they don't fall in the `typeof(G) == typeof(int)` kind of tests. This
	leads to using the generic code in which Vala assumes pointer-sized
	elements, which is often not true for enumerations and flags.

	Add special case for those to use the `int` converters for enumerations
	and flags.

	This is most generally correct, but not always: the compiler will
	likely chose a larger type for a specific enumeration if one of its
	value is larger than `int`.  It would be tempting to use the
	enumeration's class minimum and maximum values to determine the
	appropriate type, but unfortunately the API for this uses int itself,
	so doesn't help.

	https://bugzilla.gnome.org/show_bug.cgi?id=774669

2016-10-12  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.18.1

2016-10-12  Ole André Vadla Ravnås  <oleavr@gmail.com>

	Fix memory-leaks by avoiding field initializers for generic fields
	Discussed this briefly with upstream on IRC, and it was concluded that
	this should probably have been forbidden by the Vala compiler in the
	first place.

	https://bugzilla.gnome.org/show_bug.cgi?id=772417

	Fix use-after-frees caused by weak pointer issues
	Same issue in HashMap and TreeMap:

	```
	==3251==ERROR: AddressSanitizer: heap-use-after-free on address 0x604000000870 at pc 0x000108be666b bp 0x7fff571e62b0 sp 0x7fff571e62a8
	WRITE of size 8 at 0x604000000870 thread T0
	    #0 0x108be666a in g_nullify_pointer gutils.c:2051
	    #1 0x108b8c906 in weak_refs_notify gobject.c:2638
	    #2 0x108bbb17c in g_data_set_internal gdataset.c:407
	    #3 0x108b887db in g_object_unref gobject.c:3148
	    #4 0x108a4b0ec in map_tests_test_entry_weak_pointer_lifetime testmap.c:1358

	0x604000000870 is located 32 bytes inside of 40-byte region [0x604000000850,0x604000000878)
	freed by thread T0 here:
	    #0 0x1090f0e29 in wrap_free (libclang_rt.asan_osx_dynamic.dylib+0x4ae29)
	    #1 0x108ace566 in gee_hash_map_unset_helper hashmap.c:1692
	    #2 0x108acc534 in gee_hash_map_real_unset hashmap.c:1520
	    #3 0x108a4b0df in map_tests_test_entry_weak_pointer_lifetime testmap.c:1357

	previously allocated by thread T0 here:
	    #0 0x1090f0c60 in wrap_malloc (libclang_rt.asan_osx_dynamic.dylib+0x4ac60)
	    #1 0x108bce848 in g_malloc gmem.c:95
	    #2 0x108bd6585 in g_slice_alloc gslice.c:1012
	    #3 0x108bd6bee in g_slice_alloc0 gslice.c:1038
	    #4 0x108acdc27 in gee_hash_map_node_new hashmap.c:2084
	    #5 0x108acc277 in gee_hash_map_real_set hashmap.c:1494
	    #6 0x108a4b032 in map_tests_test_entry_weak_pointer_lifetime testmap.c:1311

	https://bugzilla.gnome.org/show_bug.cgi?id=772418

2016-09-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	Replace deprecated NoArrayLength annotation

2016-09-29  Matthias Berndt  <matthias_berndt@gmx.de>

	Fix overrides with non-matching types
	https://bugzilla.gnome.org/show_bug.cgi?id=772149

2016-09-27  Jürg Billeter  <j@bitron.ch>

	Fix type parameters in tests

	Fix type parameters in TreeMap

2016-09-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	Fix 'static const' warnings with vala 0.33.1

2016-07-15  Jürg Billeter  <j@bitron.ch>

	Fix type parameters in LightMapFuture.wait_until/async

	Fix type parameters in AbstractMultiMap.Values.add/remove

2016-06-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	Handle deprecated Deprecated annotation with newer valac

2016-01-20  Ben Iofel  <iofelben@gmail.com>

	Fix some valadocs

2015-06-06  Maciej Piechotka  <uzytkownik2@gmail.com>

	Move away of deprecated gnome-common

2015-05-26  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add utils/geeutils.vapi to EXTRA_DIST as it is needed for rebuilds

2015-03-24  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.18.0

2015-03-16  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.17.92

2015-03-16  Giovanni Campagna  <scampa.giovanni@gmail.com>

	Fix default value of --enable-consistency-check, fixes bug #746077
	The intent here was that --enable-consistency-check would default
	to disabled (because it's a very expensive debug option and would
	make a lot of applications unusably slow), but a copy paste
	mistake ended up disabling internal asserts instead.

2014-10-14  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.16.1

2014-10-12  Maciej Piechotka  <uzytkownik2@gmail.com>

	Sleep 100 ms in GC thread when there is nothing to do
	Temporal fix for bug 737507 until something more sane would come up
	while still being lock free.

2014-10-04  Michael Catanzaro  <mcatanzaro@gnome.org>

	Fix a documentation typo

2014-09-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	Fix destructor-name of HashMap

2014-09-23  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.16.0

2014-09-16  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.15.92

2014-09-13  Maciej Piechotka  <uzytkownik2@gmail.com>

	Explicitly make the hashes, equality and comparation immutable

	Fix valadoc syntax and extend Traversable.tee documentation

2014-09-10  Adam Dingle  <adam@medovina.org>

	Require Vala 0.25.1 (for --hide-internal)

2014-08-20  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.15.90

	Add INSTALL to .gitignore

2014-08-17  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add benchmark suite for sets

	Add commandline options to the benchmark

2014-08-16  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add explicit implementation of tee to all iterators

2014-08-01  Andre Klapper  <a9016009@gmx.de>

	doap: add <programming-language>

2014-07-30  Olav Vitters  <olav@vitters.nl>

	doap category core

2014-06-30  Michael Catanzaro  <mcatanzaro@gnome.org>

	Remove INSTALL from version control
	This is autogenerated

2014-06-23  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.15.3

	Add --disable-internal-asserts and --enable-consistency-check options to configure

2014-06-22  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add unrolled list

	Add myself to copyright list of LinkedList

	Make the documentation of ListIterator.add and BidirList.insert more specific.
	Also fix the implementation of them in other methods to make it consistent.

	Conditionally assume in Gee.ArrayList and Gee.LinkedList

2014-04-27  Maciej Piechotka  <uzytkownik2@gmail.com>

	Update INSTALL

	Hide internal symbols

2014-03-24  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.14.0

2014-03-03  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.13.91

	Enable vala for make distcheck

2014-03-01  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix case of releasing lock-free resources during the local cleanup

	Fix case of releasing lock-free resources during the global cleanup

	Fix HazardPointer implementation

2014-02-21  Maciej Piechotka  <uzytkownik2@gmail.com>

	Skip first and last element during counting down indices in remove test

2014-02-18  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.13.90

2014-02-15  Maciej Piechotka  <uzytkownik2@gmail.com>

	Skip also the first element

	Skip the test of removing already removed element

2014-02-11  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.13.5.1

2014-02-08  Maciej Piechotka  <uzytkownik2@gmail.com>

	Remove workaround for vala <0.23.2, fixes bug 723822
	The old workaround causes reading/writing from invalid pointers,
	when compiled with 0.23.2.

2014-02-03  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.13.5

2014-01-25  Maciej Piechotka  <uzytkownik2@gmail.com>

	Move to WeakRef to avoid data races

2013-12-25  Maciej Piechotka  <uzytkownik2@gmail.com>

	Extend the list tests

	Fix the documentation to use constant

2013-12-16  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.13.4

	Fix unintentional break of ABI/C API

	Fix unused variable warnings for HazardPointer

	Fix memory leak in Gee.Future

	Fix various warnings

	Fix various memory leaks in gee by re-implementing GClosure

2013-12-15  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix the problem of removing headers from utils, fixes bug #720500

2013-12-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	Fix broken parallel build and dist vala-generated Gee-0.8.gir, fixes bug #720391

2013-12-13  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix build system by stealing more gnome-boxes code
	Parallel builds should work now and stamp files should be included
	in distribution.

2013-10-27  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix the make check

2013-10-03  Maciej Piechotka  <uzytkownik2@gmail.com>

	Don't delete the hand-written header, fixes bug #709389
	Thanks to Jürg for pointing the root cause

2013-09-23  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.12.0

2013-09-16  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.11.92

2013-09-14  Maciej Piechotka  <uzytkownik2@gmail.com>

	Override read_only_view property in ReadOnlySortedMap and its subclasses

2013-09-02  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.11.91

2013-08-26  Maciej Piechotka  <uzytkownik2@gmail.com>

	Bump GLib requirement to 2.36 due to usage of g_get_num_processors

2013-08-19  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.11.90

2013-08-18  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add missing Future from README

2013-08-17  Maciej Piechotka  <uzytkownik2@gmail.com>

	TeeIterator: add new keyword to get to remove warning

	Remove deprecation warning - changing the exchange_and_add to add

	Do not ignore *.c and *.h in utils subdirectory

	Require Vala 0.22 for libgee 0.12

2013-08-14  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix Collection.remove_all_array for primitives

	Fix Collection.contains_all_array for primitives

2013-08-02  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix Collection.add_all_array for primitives

	Fix to_array for boxed values

	Add Collection.*_iterator

	Make Collection.*_array virtual and add CCode.ordering

	Fix problem with wrapping of ArrayList

2013-07-30  Maciej Piechotka  <uzytkownik2@gmail.com>

	Avoid unnecessary allocation for destroy notify

	Port to newer GLib thread API

	Release 0.11.5

	Fix missing header

2013-07-27  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add Lazy.future

	Rework the Futures to a new API
	A new API includes the error handling as well as removed redundant
	functions (such as when_done) which can be replaced by async calls.

	Future.map, Future.zip and Future.flat_map have also been implemented in
	terms of Promise.

	Add ordering to Traversable

	Add Traversable.tee

2013-07-24  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix the foreach in TreeMap.values

2013-07-16  Maciej Piechotka  <uzytkownik2@gmail.com>

	Update tests for Traversable.map

	Fix Gee.StreamIterator.yield_next

	Add Gee.TreeSet.foreach implementation

	Add Gee.ArrayQueue.foreach implementation

	Update the foreach tests

	Fix Gee.TreeSet.Iterator.foreach

	Fix Gee.ArrayQueue.Iterator.foreach

2013-07-15  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add the implementation for PriorityQueue.foreach

	Add the implementation for HashSet.foreach

	Improve the tests for Collection.foreach and Collection.fold

	Fix the PriorityQueue.Iterator.foreach

	Fix the HashSet.Iterator.foreach

2013-07-14  Maciej Piechotka  <uzytkownik2@gmail.com>

	Change the scope="async" callbacks to owned, fixes bug #703802

2013-07-12  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix transfering the ownership in Gee.FlatMapFuture.go_map

2013-07-10  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.11.4

2013-07-09  Maciej Piechotka  <uzytkownik2@gmail.com>

	Rename Future.join to Future.zip

	Fix documentation

	Add Future.join function

	Always evaluate in when_done

	Add the light maps

	Fix and improve the implementation of Future.map

2013-07-06  Maciej Piechotka  <uzytkownik2@gmail.com>

	Remove incorrect FIXME notice

	Fix missing 'since' doc for Future and Promise

	Specialise the stream iterator
	In the test this improves running time by 4%-22% depending on test.

	On 1048575 elements:
	 - Calling filter and iterating: 1.006±0.008 → 0.80±0.02
	 - Calling map and iterating: 1.65±0.03 → 1.441±0.005
	 - Calling flat_map and iterating: 11.12±0.09 → 10.69±0.01

	Use .value instead of value directly in unfold

	Fix casing of Future.flat_map (previously flatMap)

	Add flat_map function

	Add Stream.WAIT to Traversable.stream

2013-07-04  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.11.0

2013-05-12  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add missing generic argument to HashMultiMap.get_value_equal_func

2013-04-18  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add futures and promises to libgee

2013-04-12  Maciej Piechotka  <uzytkownik2@gmail.com>

	Steal vala.m4 from gnome-boxes

2013-03-31  Simon McVittie  <simon.mcvittie@collabora.co.uk>

	Return true from HashSet.Iterator.foreach() if we fall off the end
	This is documented to happen, and was implemented correctly in the other
	collections, but not in HashSet.

2013-03-25  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.10.0

2013-03-05  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.9.92

2013-03-04  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix memory leak in TreeSet and TreeMap

2013-02-17  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.9.91

	Fix the valadoc documentation

	Add missing gee/readonlymultimap.vala

2013-02-16  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add read_only_view to Gee.MultiMap, fixes bug #687158

	Add read_only_view to Gee.MultiSet

	Allow creation of ArrayList from array

	Add add/contains/remove_all working on array, partial fix of bug #685175
	Full fix which would allow overloading methods by subclasses requires
	fixing bug #693455.

2013-02-07  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add generic type arguments to HashMultiMap, TreeMultiSet constructor

2012-12-26  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix compilation error, fixes bug #690723

2012-12-25  Maciej Piechotka  <uzytkownik2@gmail.com>

	Make ConcurrentSet implement SortedSet

2012-12-03  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.9.0

	Add missing fixes for ConcurrentSet from feature local branch

2012-12-02  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix warnings and bump requirements to GLib 2.32

	Remove unused lookup of function from AbstractMultiMap

	Small improvements to PriorityQueue

	Fix starting of HazardPointer policy

	Fix missing http:// in link to paper

	Initial implementation of ConcurrentSet

	Small improvement to ConcurrentList.Iterator

	Various small fixes to ConcurrentList

	Fix releasing NULL pointers during atomic exchange

	Making PriorityQueue.NodePair a compact class

2012-11-25  Maciej Piechotka  <uzytkownik2@gmail.com>

	Refactor testing - do more with less
	Tests had a lot of repetitive code. It was factored out and this allowed
	to test much more cases per run.

	Fix Gee.List.Iterator.next

	PriorityQueue: fix segfault discovered during stress-testing
	If node P is removed then set P to R, as described in paper, instead of
	NULL.

2012-11-11  Jasper Lievisse Adriaanse  <jasper@humppa.nl>

	Use a portable sed(1) construct to retrieve $libgee_dlname, fixes bug #688106

2012-11-04  Evan Nemerson  <evan@coeus-group.com>

	Add generic type arguments to HashSet constructor delegate parameters.

2012-11-04  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add .mailmap file

2012-10-20  Daniel Espinosa  <esodan@gmail.com>

	Fixed commit 9e2e24f4.

	GObject Introspection support improved. * Added shared library for g-ir-compiler. * See bug #67987, Bug #658002 and Bug #585116

2012-10-14  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.8.1

2012-10-06  Maciej Piechotka  <uzytkownik2@gmail.com>

	Use the highier-level functions in the default methods of Collection

	Fix Iterator.remove in PriorityQueue

2012-09-30  Maciej Piechotka  <uzytkownik2@gmail.com>

	Remove use of explicit iterators

	Specialize foreach functions for ArrayList and LinkedList

2012-09-27  Maciej Piechotka  <uzytkownik2@gmail.com>

	Pass slice in ReadOnlyList, fixes bug 684915

2012-09-24  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.8.0

	Update README

	Move everything to GenericAccessors

	Add tests for Traversable methods implemented by Collections

2012-09-21  Maciej Piechotka  <uzytkownik2@gmail.com>

	Remove unnecessary stream override in AbstractCollection

	Fix Traversable.chop method, fixes bug #684348

2012-08-28  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.7.90

	Allow early termination of iteration

	Use views instead of copies inside MultiMap and don't cache Set.empty

2012-08-27  Maciej Piechotka  <uzytkownik2@gmail.com>

	Remove outdated method from AbstractSortedMap

2012-08-27  Philip Withnall  <philip@tecnocode.co.uk>

	Don’t notify on changes to hash/equal functions

2012-08-26  Maciej Piechotka  <uzytkownik2@gmail.com>

	Update copyright and whitespaces

2012-08-23  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.7.4.1

2012-08-23  Alban Browaeys  <prahal@yahoo.com>

	tests: implement read_only in testmap Entry

2012-08-21  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.7.4

	Bump vala requirements

	Fix warnings about lack of new keyword

2012-08-20  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add read_only to Map.Entry

	Move *_type to interfaces and remove the ones from classes

	Move key_type/value_type implementation to multimap interface

	Add map_iterator to MultiMap, partial fix for bug #675067

	Add reserved methods to allow future-proof ABI

2012-08-19  Maciej Piechotka  <uzytkownik2@gmail.com>

	Move stream_impl to Traversable

	Move virtual methods to List interface

	Move virtual methods to Map interface

	Move virtual methods to Queue interface

	Move virtual methods to Collection interface

2012-08-09  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add GenericAccessors attributes to interfaces and remove _impl methods.

2012-08-06  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.7.3

	Disable introspection during distcheck

	Fixes to ConcurrentList
	 - Fix using of freed memory in hazard pointers
	 - Remove memory leak on freeing node in debug build
	 - Set release policy to main loop by default
	 - Re-enable the ConcurrentList tests

2012-08-06  Evan Nemerson  <evan@coeus-group.com>

	Use generics for HashDataFunc and EqualDataFunc, fixes bug 680491

	Add missing CompareDataFunc type arguments, fixes bug 624005

2012-07-30  Maciej Piechotka  <uzytkownik2@gmail.com>

	Temporary disable broken test.

2012-03-28  Maciej Piechotka  <uzytkownik2@gmail.com>

	Small typo in file header

	Split SortedMap/SortedSet into bi-directional and uni-directional parts

2012-03-06  Maciej Piechotka  <uzytkownik2@gmail.com>

	Don't resize after deletion from hashtable in iterator, fixes #671327
	Depending on sizes of array and hash function resize might alter
	the iteration order. It meant that some elements might not be visited
	and some might be visited twice.

2012-02-19  Maciej Piechotka  <uzytkownik2@gmail.com>

	Refactor benchmarks

	Convert the documentations to valadoc new Note syntax

2012-01-23  Florian Brosch  <flo.brosch@gmail.com>

	Fix valadoc documentation

2012-01-22  Maciej Piechotka  <uzytkownik2@gmail.com>

	Release 0.7.2

	Remove --shared-library from .typelib, see bug #667529 for details

	Remove unneeded duplication of NULL definition

2012-01-20  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix problem of partially releasing hp context

	Fix compilation with vala master

	Extend Gee.Deque tests

	Add ArrayQueue

	Add default implementation of AbstractQueue.drain

	Fix warnings

2012-01-11  Daniel Espinosa  <despinosa@git.gnome.org>

	Fixed documentation typo in gee/traversable.vala

2011-12-19  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add *_type property for all collections, fixes bug #663337

	Fix compilation of priorityqueue.vala on vala from git

	Add gir_namespace and gir_version attributes, fixes bug #666208
	Currently they are specified in assemblyinfo.vala which needs to be
	first file passed to vala. See bug # 666478 for details.

2011-10-08  Diego Escalante Urrelo  <descalante@igalia.com>

	PriorityQueue: build fix for wrong variable name
	Bug #661153

2011-09-29  Hisao Suzuki  <suzuki611@oki.com>

	PriorityQueue: Fix underflow while updating degree, fixes bug #647162

2011-09-29  Maciej Piechotka  <uzytkownik2@gmail.com>

	Require more realistic version of Vala

2011-09-25  Maciej Piechotka  <uzytkownik2@gmail.com>

	Post-release version bump

	Release 0.7.1

	Implement ConcurrentList
	 - After porting to volatile the freeing of data does not work

	Split List interface into List and BidirList

	Add Gee.HazardPointer

	Remove compilation warnings from tests

2011-09-23  Maciej Piechotka  <uzytkownik2@gmail.com>

	Use VALAFLAGS during building tests

2011-09-20  Maciej Piechotka  <uzytkownik2@gmail.com>

	Move to new syntax of out parameters

	Add check-news to AM_INIT_AUTOMAKE

2011-09-14  Maciej Piechotka  <uzytkownik2@gmail.com>

	Revert "hazardpointer - work in progress"
	This reverts commit f39a9175b63f9f6f58a019621e9d8c41c801ff73.

	hazardpointer - work in progress

2011-08-19  Maciej Piechotka  <uzytkownik2@gmail.com>

	Post-release version bump

	Release 0.7.0

2011-08-17  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix standard functions for nullable types

	Add Traversable.chop function

	Fix default Traversable.stream implementation for Iterator<G>
	The implementation assumed in unfolding function that the stream  some
	value - however it might not be the case.

	Add filter tests

2011-08-15  Maciej Piechotka  <uzytkownik2@gmail.com>

	Allow to install libgee 0.6 and 0.8 in parallel

2011-08-09  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix ordering of prerequests

	Update documentation

2011-08-01  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add Traversable<G>.filter method

	Fix Traversable<G>.stream in ReadOnlyCollection

2011-07-25  Maciej Piechotka  <uzytkownik2@gmail.com>

	Preserve laziness in Stream

2011-07-23  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add Gee.Traversable<G> requirement to Gee.Iterable<G>

2011-07-22  Maciej Piechotka  <uzytkownik2@gmail.com>

	Export the function part of interface into Traversable

2011-06-25  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add Iterator.scan method

	Add Iterator.map method

	Add Iterator.stream method based on stream fusion

	Add Iterator.concat function

	Add Iterator.unfold function

	Add Gee.Lazy class (call-by-need)

2011-05-02  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add read_only_view to SortedMap

	Add read_only_view to SortedSet

	Add SortedMap interface

	Fix wrong copyright information

	Preparation for new Map.set method

2011-04-30  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix memory leak in default implementation of foreach and fold

2011-04-29  Maciej Piechotka  <uzytkownik2@gmail.com>

	Change Gee.TreeSet.Range to class
	It fixes problem that may occured when key used as boundary is freed

2011-04-26  Maciej Piechotka  <uzytkownik2@gmail.com>

	Change default implementation of fold

2011-04-20  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add custom foreach function

2011-04-08  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix adding second element to priority queue, fixes bug #647162

2011-02-16  Maciej Piechotka  <uzytkownik2@gmail.com>

	Read fix bold text valadoc markup

2011-02-12  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix monospace text valadoc markup (replace ` by ``)

	Fix bold text valadoc markup (replace ++ by ")

2011-01-28  Jürg Billeter  <j@bitron.ch>

	Fix memory leak in LinkedList.clear
	Based on patch by Travis Reitter, fixes bug 639254.

2011-01-04  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add read_only method to Collection, Map and MultiMap

	Add highier-order functions to MapIterator

	Update copyright notices

	Add read_only property to Iterator and MapIterator

2010-12-27  Maciej Piechotka  <uzytkownik2@gmail.com>

	Remove depending on order of iteration in read-only collections' test

2010-11-20  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix memory leak on freeing LinkedList
	If fixes issue described in bug #635224

2010-11-07  Maciej Piechotka  <uzytkownik2@gmail.com>

	Add Gee.Iterator<G>.foreach method

	Fix several spelling mistakes and leftover debug code

2010-10-17  Maciej Piechotka  <uzytkownik2@gmail.com>

	Rename Iterator.at_element to Iterator.valid

	Add Iterator.fold aggregative function

	Add Iterator.at_element property to check when other calls are legal

	Move first from Iterator to BidirIterator and remove from MapIterator

2010-09-18  Maciej Piechotka  <uzytkownik2@gmail.com>

	Change return_if_fail into assert in remove_at of LinkedList.
	It fixes build issue described in bug #629933 and make the behavior
	compatible with ArrayList.

2010-08-31  Maciej Piechotka  <uzytkownik2@gmail.com>

	Version bump to avoid confusion

2010-08-26  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix memory leak in TimSort
	This patch converts using of pointers into proper use of weak and normal
	references and adds the destructor to Gee.TimSort.Slice.

2010-08-24  Maciej Piechotka  <uzytkownik2@gmail.com>

	Correct naming of variables

	Add Gee.Hashable interface

2010-08-21  Maciej Piechotka  <uzytkownik2@gmail.com>

	Small typo in tests (it might cuased some false passes but it didn't)

	Remove ComparableTests as they have been integrated in functions tests

	Reintroduce tests

	Assure get_equal_func_for behavies correctly for Comparable

2010-08-17  Alban Browaeys  <prahal@yahoo.com>

	gee: move the delegates into the Gee namespace.
	Fix for the gir generation breakage where callbacks where
	out of the namespace.

2010-08-17  Maciej Piechotka  <uzytkownik2@gmail.com>

	Move to non-static delegates

2010-08-03  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix memory leak in Gee.LinkedList

	Fix typos in TreeMap and TreeSet fix and other embarrasing mistakes

	Fix the unfreeing on clear in TreeMap/TreeSet

2010-08-02  Maciej Piechotka  <uzytkownik2@gmail.com>

	Use automake 1.11 vala support + cleaning of the Makefile.am:
	 - Checks the vala version
	 - All flags are 'local' (i.e. taget_name_(VALA|C|LD)FLAGS)
	 - Target variables are next to each other
	 - All lists are one-item-per-line with $(NULL) at the end
	 - No newline at the end of file

2010-08-02  Didier 'Ptitjes  <ptitjes@free.fr>

	Post-release version bump

	Release 0.5.2

	Implement typed variants for Collection.to_array
	Fixes bug 597737.

	Make [Deprecated] all Map methods previously marked as such in documentation

	Fix doc comment and make sort_with_data deprecated in documentation

2010-08-01  Maciej Piechotka  <uzytkownik2@gmail.com>

	Increase stamp on Map.set in Gee.TreeMap

2010-07-30  Zeeshan Ali (Khattak)  <zeeshanak@gnome.org>

	Add ArrayList.sort_with_data
	Add a variant of List.sort that takes CompareDataFunc rather than
	CompareFunc so compare func could be a method or closure. We are
	adding this to ArrayList rather than List to not break the API/ABI.
	In 0.7.x, this method will be removed as List.sort will then do
	exactly the same.

2010-07-27  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix lack of unsetting _first and _last in TreeSet on Set.clear()

2010-07-15  Maciej Piechotka  <uzytkownik2@gmail.com>

	Clean configure.ac

	Various small fixes for build system. Fixes bug 624389
	 * Add rules for Gee-1.0.gir and gee-internals-1.0.vapi
	 * Clean all vala-generated files in maintainer mode
	 * Clean typelib

2010-07-13  Colin Walters  <walters@verbum.org>

	[autogen.sh] Support parameters to configure

2010-07-12  Maciej Piechotka  <uzytkownik2@gmail.com>

	[autogen.sh] Don't run configure twice

2010-07-12  Rob Taylor  <rob.taylor@codethink.co.uk>

	Build typelib for gobject-introspection

2010-07-11  Maciej Piechotka  <uzytkownik2@gmail.com>

	Change build system
	Fixes bug 617356

	Add myself to libgee.doap

2010-06-29  Colin Walters  <walters@verbum.org>

	[autogen.sh] Support NOCONFIGURE, like gnome-common

2010-06-15  Jürg Billeter  <j@bitron.ch>

	Post-release version bump

	Release 0.5.1

2010-04-02  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	Fix shared library build on Windows
	Fixes bug 601629.

2010-04-02  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix count equal in *MultiSet
	Fixes bug 596869.

	Fix remove in MapIterator
	Fixes bug 596851.

	Tests are not terminated when they fail in trap
	When code in trap succeeds subprocess should be terminated - not only
	test case.

	Fixes bug 596703.

	Fixes checking for emptiness of subsets when master set is empty
	Fixes bug 596671.

2010-04-02  Florian Brosch  <flo.brosch@gmail.com>

	Fix documentation comments

2010-03-21  Jürg Billeter  <j@bitron.ch>

	Fix build with vala master

2009-10-24  Didier 'Ptitjes  <ptitjes@free.fr>

	Post-release version bump

	TimSort: Fix sort of reference counted items

2009-09-28  Didier 'Ptitjes  <ptitjes@free.fr>

	Release 0.5.0

	Update library's interface to 2:0:0

	Fix the documentation of all implementations' constructor
	Fixes bug 592817.

	Update .gitignore

	Some more documentation enhancements

	Make some style consistence enhancements

2009-09-28  Maciej Piechotka  <uzytkownik2@gmail.com>

	Replace old-style asserts in tests

	Add tests for Map.entries

2009-09-28  Didier 'Ptitjes  <ptitjes@free.fr>

	Implement TreeMultiMap

	Enhance multimap's tests

	Extract AbstractMultiMap from HashMultiMap

	Various documentation enhancements

	Fix {@inheritDoc} tags

	Fix filenames in file headers

2009-09-28  Maciej Piechotka  <uzytkownik2@gmail.com>

	Introduce the SortedSet interface and implement it in TreeSet

	Add missing DEBUG section

2009-09-27  Didier 'Ptitjes  <ptitjes@free.fr>

	Make the coverage analysis on Vala code insteead of C code

2009-09-26  Didier 'Ptitjes  <ptitjes@free.fr>

	Fix TestCase against Vala master

	Fix PriorityQueue implementation
	The implementation was broken. The unused code, because we do not provide
	a queue merge operation, was put inside #if false directives and left in case we
	want to support that in the future. The debug code was enhanced too.

2009-09-26  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix move_red_right and move_red_left in the Tree implementations
	Fixes bug 595703.

	Also:
	 - For simplification move to 2-3 LLRB tree.
	 - Add CONSTSTENCY_CHECK and DEBUG options

	Add more add and remove tests

2009-09-25  Didier 'Ptitjes  <ptitjes@free.fr>

	Fix a bug in PriorityQueue's iterator

	Fix warnings due to comparison to strcmp

	Use silent rules for users of automake 1.11

	Fix some missing pointer casts

2009-09-24  Didier 'Ptitjes  <ptitjes@free.fr>

	Fix item count decrementation on removal in AbstractMultiSet

	Introduce Map.key_type and Map.value_type

	Introduce immutable empty collection, list, set and map

2009-09-23  Didier 'Ptitjes  <ptitjes@free.fr>

	Make Map<K,V> be an Iterable<Map.Entry<K,V>>

	Implement TreeMultiSet
	Fixes bug 594940.

	Extract AbstractMultiSet from HashMultiSet

	Introduce MapIterator<K,V> and implement it in HashMap and TreeMap

2009-09-23  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix the iterators of the TreeMap and TreeSet implementations

2009-09-21  Didier 'Ptitjes  <ptitjes@free.fr>

	Enhance the tests for the ReadOnly* implementations

2009-09-20  Didier 'Ptitjes  <ptitjes@free.fr>

	Reuse the keys, values and entries view instances where possible
	We use the same mechanism as for the read-only views.

	Introduce the Map.Entry<K,V> class and the Map.entries property
	We also use Map.entries to optimize the implementations of
	set_all, has_all and HashMultiMap by avoiding the common pattern:
	iterate on keys and for each key get the associated value.

	Introduce the Map.has (K key, V value) method
	Also we use Map.has to fix the implementation of has_all.

	Modify the Map interface API
	We do apply the following renaming:
	 - remove to unset
	 - contains to has_key
	 - remove_all to unset_all
	 - contains_all to has_all

	Old methods are documented as deprecated.

	Also get_keys() and get_values() are transformed into properties.

2009-09-20  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix fix_up method in the TreeSet and TreeMap implementations
	Fixes bug 595703.

2009-09-20  Didier 'Ptitjes  <ptitjes@free.fr>

	Add a dependency to gee's vapi in tests' Makefile

	Introduce the Comparable interface and provide a CompareFunc for it

2009-09-19  Didier 'Ptitjes  <ptitjes@free.fr>

	Remove unusefull private setter only and construct only properties

	Fix first() and last() signatures in AbstractList

2009-09-16  Didier 'Ptitjes  <ptitjes@free.fr>

	Refactor the Set implementations' tests
	Fixes bug 594241.

	Fix some bugs in TreeSet implementation
	Fixes part of bug 594868.

	The access to child nodes two level deeper does not check that the
	child at the intermediate level is not null.
	Also has_next was incorrectly handled in case of an empty set.

	Remove construct block in HashSet
	Removing construct block enables the use of Vala's constructor chain up.

	Make Functions class a namespace and fix copyright and authorship

2009-09-15  Didier 'Ptitjes  <ptitjes@free.fr>

	Introduce the ListIterator interface and make lists implement it

2009-09-15  Maciej Piechotka  <uzytkownik2@gmail.com>

	Introduce the BidirIterator interface

2009-09-15  Didier 'Ptitjes  <ptitjes@free.fr>

	Introduce remove method to the Iterator interface

	Add has_next and first methods to the Iterator interface

2009-09-15  Maciej Piechotka  <uzytkownik2@gmail.com>

	Fix and improve the TreeMap and TreeSet implementations

2009-09-14  Didier 'Ptitjes  <ptitjes@free.fr>

	Fix read-only view unique instance test

	Fix benchmark's build with vala master

2009-09-14  Jürg Billeter  <j@bitron.ch>

	Fix build with vala master

2009-09-14  Didier 'Ptitjes  <ptitjes@free.fr>

	Add some tests for List.slice

	Fix List.get API contract and fix implementations accordingly

	Add tests for GObject properties

	Introduce PriorityQueue implementation of the Queue interface

	Use non-nullable capacities and a constant to specify unbounded

	Make Slice<G> a private inner class of TimSort<G>
	Inline methods are now inlined correctly by gcc.

2009-09-11  Julien Peeters  <contact@julienpeeters.fr>

	Refactor the Map implementations' tests
	Fixes part of bug 594241.

	Fix a bug in TreeMap implementation
	Fixes part of bug 594868.

	The access to child nodes two level deeper does not check that the
	child at the intermediate level is not null.

	Change the Iterator.get method signature and fix implementations
	Fixes part of bug 594868.

	Change the return type of the Iterator.get method from G? to G and
	apply those changes to implementations: ArrayList, HashMap,
	HashMultiSet, HashSet, LinkedList, TreeMap, TreeSet.

	Improve the access to first and last elements in LinkedList
	Fixes part of bug 594868.

	The signature of first and last properties in List did not take in account the
	fact that lists permit null elements. Their type has been changed from G? to G
	to reflect this.

	Also we optimized the access to first and last elements in LinkedList, which can
	be made through head and tail pointers directly.

	Improve the read-only view property by using weak pointers
	Fixes bug 594758.

	By using weak pointers the read-only view is destroyed when there is no
	references to it anymore.

2009-09-11  Didier 'Ptitjes  <ptitjes@free.fr>

	Introduce Queue and Deque interfaces, and implement them in LinkedList

	Make List.remove_at return the removed element

	D�efinitiely remove trailing whitespaces

2009-09-10  Didier 'Ptitjes  <ptitjes@free.fr>

	Make TimSort a GObject

	Setup test code coverage with lcov
	Code coverage analysis is enabled with --enable-coverage.

	Add missing --library in addition to --vapi in gee/Makefile
	The --gir option is not activated is --library is missing.

2009-09-09  Julien Peeters  <contact@julienpeeters.fr>

	Hide read-only views and make them accessible through a property
	Fixes bug 594578.

	A new read_only_view property is introduced in the Collection, List, Set and Map
	interfaces. The AbstractSet class is introduced to put the common code for the
	read_only_view property.

2009-09-09  Didier 'Ptitjes  <ptitjes@free.fr>

	Introduce benchmarks

	Introduce TimSort and the public sorting API

2009-09-07  Maciej Piechotka  <uzytkownik2@gmail.com>

	Remove possibility of passing null to constructors of ReadOnly* classes
	Fixes bug 590305.

2009-09-07  Tomaž Vajngerl  <quikee@gmail.com>

	Change ReadOnlySet to inherit from ReadOnlyCollection.
	Fixes part of bug 590677.

	Change ReadOnlyList to inherit from ReadOnlyCollection.
	Fixes part of bug 590677.

2009-09-07  Didier 'Ptitjes  <ptitjes@free.fr>

	Fix ReadOnlyCollection and ReadOnlyMap encapsulation failure

2009-09-07  Tomaž Vajngerl  <quikee@gmail.com>

	Add tests for ReadOnlyCollection and ReadOnlyList
	Fixes part of bug 590677.

	Contains missing tests for ReadOnlyCollection and ReadOnlyList following
	the new tests implementation.

2009-09-06  Ali Sabil  <ali.sabil@gmail.com>

	Introduce the MultiMap interface and its hash based implementation

	Introduce the MultiSet interface and its hash based implementation

2009-09-06  Julien Peeters  <contact@julienpeeters.fr>

	Reuse generic Collection and List tests for LinkedList
	LinkedList tests now follow the same way of testing than ArrayList ones.
	LinkedList tests inherit from the ListTests.

	Fix misunderstanding about ArrayList.{retain,remove}_all semantics
	These methods did not match the semantic of the Collection interface ones.
	Then they are deleted in order to use the implementation in
	AbstractCollection.

	By the way, few optimization could probably be found for these methods in
	the case of ArrayList.

	Add generic tests for collections and lists and refactor ArrayListTests
	Fixes part of bug 594241.

	Some more enhancements to the test infrastructure
	TestCase is a more appropriate name, and so are set_up and tear_down.

	Adding a short descriptive introduction for each implementation class.
	Generally this introduction consists of a implementation description and
	few word about comparison with other structures.

	Adding a first very basic documentation to data types implementations.
	When a data type method is already documented in a super class or
	in an interface the '@inheritDoc' parameter is set.

2009-09-04  Didier 'Ptitjes  <ptitjes@free.fr>

	Initial documentation infrastructure import

	Fixing generics typo in HashMap's Value collection

2009-09-03  Didier 'Ptitjes  <ptitjes@free.fr>

	Change inner classes' properties from construct to private set
	Removing construct properties enables the use of Vala's constructor chain up.

2009-09-02  Didier 'Ptitjes  <ptitjes@free.fr>

	Provide sane defaults for equal, hash and compare functions

	Change *_func properties from construct to private set
	Removing construct properties enables to use Vala's constructor chain up.

2009-08-05  Didier 'Ptitjes  <ptitjes@free.fr>

	Post-release version bump

	Release 0.3.0

	Enhanced Map removal to optionally retrieve removed value
	Fixes bug 587134.

	Remove invalid to_array implementation and re-enable test

2009-08-03  Didier 'Ptitjes  <ptitjes@free.fr>

	Bump library's version info

2009-07-31  Didier 'Ptitjes  <ptitjes@free.fr>

	Temporarily disable to_array test

2009-07-31  Tomaž Vajngerl  <quikee@gmail.com>

	Add Map.is_empty|set_all|remove_all|contains_all and AbstractMap implementations
	Fixes bug 589902.

	Add List.first|last|insert_all methods and AbstractList implementations
	Fixes bug 589894.

	Added Collection.is_empty|add_all|contains_all|remove_all|retain_all
	Fixes bug 589690.

2009-07-31  Maciej Piechotka  <uzytkownik2@gmail.com>

	Make Iterable.get_element_type a property
	Fixes bug 589551.

2009-07-31  Didier 'Ptitjes  <ptitjes@free.fr>

	Remove unused inherited interface declarations

	Fix list of maintainers

2009-07-27  Didier 'Ptitjes  <ptitjes@free.fr>

	Fix invalid test commit

2009-07-27  Julien Peeters  <contact@julienpeeters.fr>

	Make TestFixture's setup and teardown methods virtual

2009-07-27  Didier 'Ptitjes  <ptitjes@free.fr>

	Initial rework for tests

	Fix AbstractCollection.to_array method

2009-07-27  Julien Peeters  <contact@julienpeeters.fr>

	Add test fixture helper

2009-07-24  Didier 'Ptitjes  <ptitjes@free.fr>

	Introduce Collection.to_array() method
	A default naive implementation is provided in AbstractCollection. This
	implementation is overriden in ArrayList in order to take benefit of its array
	nature.

	Introduce AbstractCollection base class
	All collection implementations now have a common AbstractCollection base class
	and now share the implementation of the get_element_type() method.

2009-07-23  Didier 'Ptitjes  <ptitjes@free.fr>

	Remove unused variable in tests

	Fix generic parameter typo

2009-07-23  Mark Lee  <marklee@src.gnome.org>

	Add doubly linked list implementation
	Fixes bug 584032.

2009-07-22  Maciej Piechotka  <uzytkownik2@gmail.com>

	Make func and wrappee properties non-updatable
	Fixes bug 583723.

	Add left-leaning red-black tree based set and map
	Fixes bug 583728.

2009-07-22  Didier 'Ptitjes  <ptitjes@free.fr>

	Post-release version bump

	Release 0.2.0

	Hardcode gir repository path
	Use of pkg-config make distcheck fail.

2009-07-20  Didier 'Ptitjes  <ptitjes@free.fr>

	Match vala-0.7.4's required GLib version

	Generate, install and distribute GIR file

	Post-release version bump

	Release 0.1.6

2009-07-19  Julien Fontanet  <julien.fontanet@isonoe.net>

	Make ArrayList.Iterator._stamp private

	Split asserts in ArrayList

2009-07-19  Didier 'Ptitjes  <ptitjes@free.fr>

	Hide inherited get and set methods from GLib.Object

	Add missing method documentation comment

2009-07-16  Didier 'Ptitjes  <ptitjes@free.fr>

	Initialize 'next' variables
	Fixes bug 588758.

2009-06-26  Jaap A. Haitsma  <jaap@haitsma.org>

	Add .gitignore
	Fixes bug #583729

	Add .doap file

2009-06-01  Jürg Billeter  <j@bitron.ch>

	gee: Fix memory leak in HashMap.remove and HashSet.remove
	Fixes bug 584440.

2009-04-30  Jürg Billeter  <j@bitron.ch>

	Update code using deprecated # modifier or operator

	Fix build with Vala 0.7
	Based on patch by Thijs Vermeir, fixes bug 579182.

	Generate ChangeLog from git log
	Add gitlog-to-changelog script from gnulib and a dist-hook to
	generate ChangeLog file when creating tarballs.
